Package org.gradle.nativeplatform.toolchain

## Interface CommandLineToolConfiguration

- All Known Subinterfaces:
    `GccCommandLineToolConfiguration`

      @Incubating
      public interface CommandLineToolConfiguration

  An executable tool that forms part of a tool chain.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `withArguments​(Action<? super List<String>> arguments)` | Adds an action that will be applied to the command-line arguments prior to execution.

- - ### Method Detail

    - #### withArguments

          void withArguments​(Action<? super List<String>> arguments)

      Adds an action that will be applied to the command-line arguments prior to execution.